/*
Theme Name: ctpack24
Theme URI: https://ctpack.com
Description: Tema Child per Divi per CTPACK
Author: Paolo N. Giubelli
Author URI: https://www.itestense.it
Template: Divi
Version: 1.0.0
*/

/* =Inizio personalizzazioni
----------------------------------------------- */

/* Theme colors */
/* ORANGE = #f29400 */
/* GREY = #f7f7f7 */


@font-face {
  font-family: "HandelGotD-Bol";
  src: url('https://ctpack.com/wp-content/themes/fonts/HandelGotDBol.woff2') format('woff2'), url('https://ctpack.com/wp-content/themes/fonts/HandelGotDBol.woff') format('woff');
  font-display: swap;
}

h1.et_pb_slide_title , h2.et_pb_slide_title, .ctfont h1 {
	font-family: "HandelGotD-Bol" !important;
}

body, .et_pb_column_1_2 .et_quote_content blockquote cite, .et_pb_column_1_2 .et_link_content a.et_link_main_url, .et_pb_column_1_3 .et_quote_content blockquote cite, .et_pb_column_3_8 .et_quote_content blockquote cite, .et_pb_column_1_4 .et_quote_content blockquote cite, .et_pb_blog_grid .et_quote_content blockquote cite, .et_pb_column_1_3 .et_link_content a.et_link_main_url, .et_pb_column_3_8 .et_link_content a.et_link_main_url, .et_pb_column_1_4 .et_link_content a.et_link_main_url, .et_pb_blog_grid .et_link_content a.et_link_main_url, body .et_pb_bg_layout_light .et_pb_post p, body .et_pb_bg_layout_dark .et_pb_post p {font-weight: 400 !important;}
h1, h2, h3, h4 {	padding-bottom: 0;	color: #275da6;	line-height: 1.2em;}
h1, h2 { margin-bottom: 25px;}
h3, h4 { margin-bottom: 15px;}
h3 { font-size: 22px !important;}
p {	font-weight: 400;}


.white, .white * {color: white;}
.white-links a, .white-links a:hover, .white-links a:visited, .white-links a:active {	color: #ffffff !important;}
::placeholder {   color: #666666 !important;}

#iubenda-pp {	z-index: 99999 !important;}

/*scroll anchor offset*/
html {   scroll-behavior: smooth; }
:target:before { content: ""; display: block; height: 100px; margin: -100px 0 0;}


/* Slider Home Page */
.image-as-sign-slider .et_pb_slide_with_image .et_pb_slide_description {	width: 100%;	float: none;	text-align: center;}

.image-as-sign-slider .et_pb_slide_image {	position: absolute;	width: 100% !important;	top: unset !important;	bottom: 65px;	margin-top: unset !important;	display: flex !important;	justify-content: center;	z-index: 9999;}
.image-as-sign-slider .et_pb_slide_image img {	width: 70%;	height: auto; 	cursor: pointer;}

/* Box shadow applicata al main content */
#main-content {	box-shadow: 0px 12px 14px -6px rgb(0 0 0 / 10%);}

/*** header-menu ***/
header#main-header.et-fixed-header, #main-header{ box-shadow: none !important;}
body:not(.dsm_fixed_header_shrink_active) .et_pb_menu__search-button, body:not(.dsm_fixed_header_shrink_active) .et-db #et-boc .et-l .et_pb_section_0_tb_header.et_pb_section {color: white !important;}
body:not(.dsm_fixed_header_shrink_active) #top-header-bar, body:not(.dsm_fixed_header_shrink_active) .et-db #et-boc .et-l .et_pb_section_0_tb_header.et_pb_section { background-color: transparent !important; 	box-shadow: unset !important;	border-bottom: 1px solid rgba(255,255,255,0.25);}
body:not(.dsm_fixed_header_shrink_active) #main-menu .et-menu > li > a, .postid-12175:not(.dsm_fixed_header_shrink_active)  #main-menu .et-menu > li > a {	color: #ffffff !important;}

/*posizionamento menu tendina*/
.et_pb_menu .et_pb_menu__menu>nav>ul>li {margin-top: -15px; height: calc(100% + 30px); }
.sub-menu {border-bottom-right-radius: 10px; width: 240px !important; }
.nav li li a {padding: 10px 0; font-size: 15px !important; width: 220px !important; line-height: 25px !important;}
.et-db #et-boc .et-l .et_pb_menu .et_pb_menu__menu>nav>ul>li>ul {top: calc(100% - 1px);}

.et-menu li li.menu-item-has-children>a:first-child:after {top: 0; content:"5";}

/* Ricerca dal menu */
.et_pb_menu .et_pb_menu__search-input {background: #f7f7f7;border-radius: 3px;padding: 6px;	box-shadow: 0px 6px 12px -4px rgb(0 0 0 / 15%);}


/*menu mobile*/
.et_mobile_menu li li a {font-size: 14px !important; padding: 2px 4px 0 4px; font-weight: 500 !important;}
.et_mobile_menu .menu-item-has-children>a, .nav ul li a:hover {background: none !important;}


/*allineamento verticale elementi riga*/
.alignMiddle {align-items: center; }


/*contact us*/
.leaflet-layer {filter: saturate(20%) brightness(100%) contrast(70%);}

/*scheda prodotto*/
.btnFlex {float: left; margin-right: 20px;}

/* Larghezza righe in generale */
.et_pb_row {width: 85%;}

/* Circle Counter */
.et_pb_circle_counter canvas {	transform: scale(0.85);}

/* Tables */
.entry-content table:not(.variations) {	border: unset}
.entry-content tr td {	border: unset;	padding: 0 25px 25px 0;}

/* PopUp Divi Supreme */
.dsm-popup-wrap .mfp-close {	border-radius: 50%;}
.dsm_contact_form_7 .wpcf7-form-control.wpcf7-submit {	color: #ffffff;}

/* Blog Module for references */
.references-collector .et_pb_blog_grid .et_pb_image_container img {	height: 185px;	object-fit: cover;}

/* DSM Circle Info CORREZIONE BUG */
.dsm-circle-info-container .dsm-circle-info-content .dsm-circle-info-content-wrapper {    background-size: cover !Important;}


/* DSM Content Timeline CORREZIONE BUG */
.dsm-content-timeline-items-wrapper .dsm-content-timeline-content-wrapper {	background-size: cover !Important;}


/* DSM Menu */
ul.dsm-menu, ul.dsm-menu .sub-menu {	list-style-position: outside;}
.category-menu ul.dsm-menu {	padding-left: 15px !important;}


/* Pulsanti */
.et_button_no_icon.et_button_icon_visible.et_button_left .et_pb_button, .et_button_no_icon.et_button_left .et_pb_button:hover, .et_button_no_icon .et_pb_button, .et_button_no_icon .et_pb_button:hover {	line-height: 14px !important;	padding: 18px 30px !important;}

/* Filterable Portfolio for Products */
.hide-filters .et_pb_portfolio_filters {	display: none;}
.et_pb_filterable_portfolio .et_pb_portfolio_filters li a {	border-radius: 4px !important;	padding: 10px 18px;	background-color: transparent;	font-size: 14px;	color: #666666;	margin-right: 10px;	margin-bottom: 10px;	border: 1px solid transparent;	text-decoration: none;}
.et_pb_filterable_portfolio .et_pb_portfolio_filters li a.active {	border: 1px solid #275DA6;}
.et_pb_filterable_portfolio .et_pb_portfolio_filters li a:hover {	background-color: #275DA6 !important;	color: #ffffff !important;	border: 1px solid #275DA6;}
.et_pb_filterable_portfolio .et_pb_portofolio_pagination {	border-top: unset;}
.et_pb_portfolio_item .et_pb_module_header {	margin-top: 20px !important;}
.product-portfolio.et_pb_filterable_portfolio .et_pb_portfolio_filters ul {	display: flex;	flex-wrap: wrap;	justify-content: center;}
.product-portfolio.et_pb_filterable_portfolio .et_pb_portfolio_filters li {	float: none;	width: auto !important;}
.product-portfolio .et_pb_grid_item img {	transition: all .2s ease-in-out;	}
.product-portfolio .et_pb_grid_item:hover img {	transform: scale(1.1);}

.nofilter .et_pb_filterable_portfolio .et_pb_portfolio_items, .nofilter .et_pb_filterable_portfolio .et_pb_portfolio_items_wrapper {display: flex; justify-content: center;}
.nofilter .et_pb_portfolio_filters  {display: none;}

.product-portfolio .et_pb_grid_item img {
	transition: all .4s ease-in-out;
	transform-origin: bottom;
}
.product-portfolio .et_pb_grid_item:hover img {
	transform: scale(1.2);
}

/*image gallery item aspect ratio square 1:1*/
.galleria11 .et_pb_gallery_image { padding-top: 100%; width: 33.33% !important;	margin: 0 !important;clear: none !important;}
.galleria11 .et_pb_gallery_item img {  position: absolute;  height: 100%;  width: 100%;  top: 0;  left: 0;  right: 0;  bottom: 0;  object-fit: cover;}

/* Accordion e toggle */
.et_pb_toggle {	border: 1px solid #f29400;}
.et_pb_toggle_open {	border: unset !important;}
.et_pb_toggle_title {	margin-bottom: 0;}
.et_pb_toggle_title:before {	color: #275da6;}

/* Circle counter */
.et_pb_circle_counter.sign-with-plus .percent-value::before {content: '+'}

/* BLOG EXTRA - Media e News in home */
.el-dbe-blog-extra .el_dbe_background_cover .post-content {	background: rgba(255,255,255,0.9);}
.el-dbe-blog-extra .el_dbe_background_cover .post-content .post-data {	margin-bottom: 20px;}

/* Contact Form */
.wpcf7-list-item {	margin: 0;}
.wpcf7-spinner {display: block !important;}
.dsm_contact_form_7_0 .wpcf7-form label {text-transform: uppercase;}
.dsm_contact_form_7_0 .wpcf7-form .wpcf7-list-item-label {text-transform: capitalize; font-weight: 200 !important;}
.dsm_contact_form_7 .dsm-contact-form-7-select:after {margin-top:15px;}
.wpcf7 .wpcf7-form-control.wpcf7-select option {color: #999 !important;}

/*set the width of the rows inside the Post Content module*/
.et-db #et-boc .et-l .et-l--post .et_builder_inner_content .et_pb_row {	width: 100%;}

/*larghezza sezioni progetti*/
.single-project #main-content .et_builder_inner_content .et_pb_row  {width: 100%; max-width: unset;}
.single-project #main-content .et_builder_inner_content .et_pb_row  .et_pb_fullwidth_section {width: 100%;}
.single-project .et_builder_inner_content .et_pb_section_1, .single-project .et_builder_inner_content .et_pb_section_2, .single-project .et_builder_inner_content .et_pb_section_3, .single-project .et_builder_inner_content .et_pb_section_4, .single-project .et_builder_inner_content .et_pb_section_5, .single-project .et_builder_inner_content .et_pb_section_6, .single-project .et_builder_inner_content .et_pb_section_7, .single-project .et_builder_inner_content .et_pb_section_8, .single-project .et_builder_inner_content .et_pb_section_9, .single-project .et_builder_inner_content .et_pb_section_10 {max-width: 1170px; margin-left: auto; margin-right: auto;}
.single-project .et_builder_inner_content .et_pb_section_0, .single-project .et_builder_inner_content .et_pb_section_1 {max-width: unset !important;}
.single-project #top-header-bar .et_pb_row {width: 85%; max-width: 1170px;}

/*larghezza contenuti popup*/
.dsm-popup-wrap.dsm-popup-fullwidth-off .et_pb_row {width: 90%;}

/*utili*/
.flexCenterRow {display: flex; justify-content: center;}
/*add icon to the opened accordion*/
.pa-add-accordion-icon .et_pb_accordion_item.et_pb_toggle_open .et_pb_toggle_title:before { display: block;	content: "\e04f"; }

body .et_mobile_menu .sub-menu {display: none !important;}

/* Media queries */
@media (max-width: 980px) {
	
	/*mostro colonne anche se vuote*/
	.et_pb_column.et_pb_column_empty {display: block;}
	
	
	/* Riga Flex con colonne invertire su mobile */
	.flex_mobile_reverse, .invertiColonne {
		display: -ms-flexbox;
	  	display: -webkit-flex;
        display: flex;
        flex-direction: column-reverse;
    }	
	/* Righe di tipo flex box generiche */
	.flex_row {
	  	display: -ms-flexbox;
	  	display: -webkit-flex;
	  	display: flex;
		flex-wrap: wrap;
	}
	
	/*** add margin to last column ***/
	.flex_row:last-child .et_pb_column:last-child {
		margin-bottom: 30px;
	}
	
	/* menu mobile */
	#main-menu {
		background-color: transparent !important;
	}
	.mobile_menu_bar:before {
		font-size: 40px;
	}
	.et_pb_module .mobile_menu_bar:before {
		top: 0px;
	}
	#main-menu .et_pb_menu__search-button {
		display: none;
	}
	.et_mobile_nav_menu {margin: 0 !important;}
	::placeholder { 
		color: #ffffff;
		opacity: 0.7; 
	}
	.sub-menu a { font-size: 16px !important; }
	
	
	/*menu*/
	.et_pb_row.et_pb_row_0_tb_header.et_pb_row--with-menu {width: 87%;}
	.et_pb_menu_0_tb_header .et_pb_menu_inner_container>.et_pb_menu__logo-wrap .et_pb_menu__logo img { height: 50px; max-height: none; }
	.et_mobile_menu {background-color: #275da6 !important;}
	.et_pb_menu .et_mobile_menu {top: 128%;}
	.et_pb_menu .et_mobile_menu a {color: white !important;}
	.et_mobile_menu li a {padding: 3px 0 3px 10px !important; }
	.et_pb_menu_0_tb_header .mobile_nav .mobile_menu_bar:before {color: white !important;}
	.dsm_fixed_header_scroll_active .et_pb_menu_0_tb_header .mobile_nav .mobile_menu_bar:before {color: #017dc5 !important;}
	.sub-menu {width: 300px !important;}
	
	
	/* Home */
	.act-brands .et_pb_code_inner {
		display: flex;
		flex-wrap: wrap;
		flex-direction: row;
		align-items: center;
		justify-content: space-between;
	}
	.act-brands a {
		display: contents;
	}
	.act-brands img {
		max-width: 120px;
		max-height: 110px;
		margin-bottom: 30px;
	}
	
	/*progetti*/
	.single-project #main-content .et_builder_inner_content .et_pb_row  {width: 100%; max-width: unset;}
.single-project .et_builder_inner_content .et_pb_row  .et_pb_fullwidth_section {width: 100%;}
.single-project .et_builder_inner_content .et_pb_section_1, .single-project .et_builder_inner_content .et_pb_section_2, .single-project .et_builder_inner_content .et_pb_section_3, .single-project .et_builder_inner_content .et_pb_section_4, .single-project .et_builder_inner_content .et_pb_section_5, .single-project .et_builder_inner_content .et_pb_section_6, .single-project .et_builder_inner_content .et_pb_section_7, .single-project .et_builder_inner_content .et_pb_section_8, .single-project .et_builder_inner_content .et_pb_section_9, .single-project .et_builder_inner_content .et_pb_section_10 { margin-left: auto; margin-right: auto; max-width: 85%;}
.single-project .et_builder_inner_content .et_pb_section_0 {max-width: unset;}
.single-project #top-header-bar .et_pb_row {width: 85%; }
	
	.single-project  #page-container .et_pb_section .et_pb_button_0 {margin-bottom: 15px;}
}

@media (max-width: 768px){
	/* Tables */
	tr {
		display: flex;
    	flex-wrap: wrap;
	}
	.entry-content tr td {
		width: 100% !important;
	}
	
}


@media (max-width: 600px){
	h1, h1.et_pb_contact_main_title, .et_pb_title_container h1 {
		font-size: 36px !important;
	}
	h2 {font-size: 26px !important;}
	.et_pb_fullwidth_header_subhead, .et_pb_header_content_wrapper {
		font-size: 12px;
		line-height: 16px;
	}
	.container, .et_pb_row {
		width: 85%;
	}
	
	body .et_pb_fullwidth_slider_0.et_pb_slider .et_pb_slide_description .et_pb_slide_title {font-size: 40px !important;}
	.et_pb_bg_layout_dark .et_pb_slide_description {text-shadow: none !important;}
	.et_pb_slide_description {padding-top: 30% !important;}
	
	
}

@media (min-width: 981px) {
	.only-mobile-menu-item {
		display: none !important;
	}
	.et_pb_menu .et_pb_menu__wrap {
		justify-content: flex-end;
	}
	.et_pb_row--with-menu {
		padding: 15px 0 !important;
	}
	.et_pb_menu .et_mobile_menu {
		margin-top: 20px;
	}
	.menu-item a {
		padding-top: 5px !important;
		padding-bottom: 5px !important;
	}
	.et_pb_menu_0_tb_header .et_pb_menu__icon.et_pb_menu__search-button {
		padding-left: 10px;
	}
	
	/* Righe e colonne custom del builder */
	.full-width-row {
		width: 100% !important;
		max-width: unset !important;
	}
	.full-width-row.no-padding-column {
		margin: 0 !important;
		padding: 0 !important;
	}
	.full-width-row.left-text {
		justify-content: flex-end;
	}
	.full-width-row.left-text .et_pb_column_1_2:first-of-type {
		width: 40.1625% !important;
		max-width: 496px;
		padding: 70px 0;
	}
	.full-width-row.left-text .et_pb_column_1_2:last-of-type {
		width: 50% !important;
	}
	.full-width-row.right-text .et_pb_column_1_2:first-of-type {
		width: 50% !important;
		margin-right: 0 !important;
	}
	.full-width-row.right-text .et_pb_column_1_2:last-of-type {
		width: 40.1625% !important;
		max-width: 496px;
		margin-left: 5.5%;
		padding: 70px 0;
	}
	
	/* Barra Header */
	.et-db #et-boc .et-l .et_pb_section_0_tb_header.et_pb_section {
		background-color: unset;
	}
	
	body.dsm_fixed_header_shrink_active #top-header-bar {
		background-color: #ffffff !important;
		transform: ease;
	}
	
	/* Slider Home */
	.image-as-sign-slider .et_pb_slide_image {
		justify-content: right;
		bottom: 40px;
	}
	.image-as-sign-slider .et_pb_slide_image img {
		width: 300px;
		height: auto; 
	}
	
	/* Card Row */
	.card-row .et_pb_column_1_3 {
		width: calc(33.33% - 20px);
		margin-right: 30px;
	}
	
	/* Timeline con immagine affiancata al testo su Desktop */
	.timeline-image-on-side .dsm-content-timeline-content-wrapper {
		flex-direction: row !important;
	}
	.timeline-image-on-side .dsm-content-timeline-content-wrapper .dsm-image-wrapper {
		width: 40%;
		padding-right: 30px;
	} 
	.timeline-image-on-side .dsm-content-timeline-content-wrapper .dsm-timeline-content {
		width: 60%;
	} 
	/* Home */
	.act-brands .et_pb_code_inner {
		display: flex;
		flex-wrap: nowrap;
		flex-direction: row;
		align-items: center;
		justify-content: space-between;
	}
	.act-brands a {
		display: contents;
	}
	.act-brands img {
		max-width: 110px;
	}
	
	/* Filterable Portfolio for Products */
	.et_pb_gutters3 .et_pb_column_4_4 .product-portfolio .et_pb_grid_item {
		width: 22.875%;
		margin-right: 2.5%;
		margin-bottom: 2.5%;
	}
}

@media (min-width: 981px) and (max-width: 1033px) {
	.et_pb_menu_0_tb_header .et_pb_menu__icon.et_pb_menu__search-button {
		display: none !important;
	}	
}

@media (min-width: 1200px) {
	/* Righe Custom */
	.full-width-row.left-text .et_pb_column_1_2:first-of-type {
		max-width: 520.65px;
	}
	.full-width-row.right-text .et_pb_column_1_2:last-of-type {
		max-width: 520.65px;
	}
	/* Timeline con immagine affiancata al testo su Desktop */
	.timeline-image-on-side .dsm-content-timeline-content-wrapper .dsm-image-wrapper {
		width: 30%;
	} 
	.timeline-image-on-side .dsm-content-timeline-content-wrapper .dsm-timeline-content {
		width: 70%;
	} 
	.et_pb_menu_0_tb_header .et_pb_menu_inner_container>.et_pb_menu__logo-wrap .et_pb_menu__logo img, .et_pb_menu_0_tb_header .et_pb_menu__logo-slot .et_pb_menu__logo-wrap img {
		/*height: 32px !important; 
		width: auto;*/
	}
}
